"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2018 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic2' }"

"{ NameSpace: Smalltalk }"

DomainError subclass:#IncompatibleMatrixError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!IncompatibleMatrixError class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2018 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Raised by certain matrix functions when the receiver or arg
    is not of the appropriate form (eg. non-square, where a square matrix is expected).
"
! !

!IncompatibleMatrixError class methodsFor:'initialization'!

initialize
    NotifierString := 'incompatible matrix'.
! !

!IncompatibleMatrixError methodsFor:'defaults'!

defaultResumeValue
    "the default answer, if no one handles the query and the exception is resumed.
     Re-redefined to return nil instead of NaN."

    ^ nil

    "Created: / 20-06-2017 / 12:02:19 / cg"
! !

!IncompatibleMatrixError class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !


IncompatibleMatrixError initialize!
